#!/bin/sh
#
# Make a shell script to run a native goconv job on Cheyenne
if test $# != 4
then
    echo "gocheyenne.sh nprocs goconvname paramfile jobfile < nodefile"
else
    nprocs=$1
    goconvname=$2
    paramfile=$3
    jobfile=$4

    echo "#!/bin/sh" > $jobfile
    echo -n "gompi_ch.sh $nprocs $goconvname $paramfile" >> $jobfile
    
    tmpfile=tmp$$
    cat > $tmpfile
    list=`uniq < $tmpfile`
    
    for mach in $list
    do
	echo $mach
	nprocs=`grep "$mach" < $tmpfile | wc -l | tr -d " "`
	echo $nprocs
	echo -n " $mach $nprocs" >> $jobfile
    done

    chmod +x $jobfile

    rm $tmpfile
fi
