#!/bin/sh
#
# gocombo.sh -- Reduce a series of slices to a managable chunk
#
if test $# != 3
then
    echo "Usage: gocombo.sh case time1 time2 (units: 10^4 s)"
else
    xcase=$1
    time1=$(($2 * 10000))
    time2=$(($3 * 10000))
    outfile=cat.$xcase.$2.$3
    
    cdfcatf out.$xcase/$xcase.* | \
	cdftsel time $time1 $time2 | \
	cdfmath "wtgddryent wtgrho / wtgdryent =" | \
	cdfmath "wtguz mflux =" | \
	cdfmath "ux rho / vx =" | \
	cdfmath "uy rho / vy =" | \
	cdfmath "uz rho / vz =" | \
	cdfmath "dent rho / ent =" | \
	cdfmath "dsatent rho / satent =" | \
	cdfmath "drt rho / rt =" | \
	cdfmath "drsat rho / rsat =" | \
	cdfmath "drr rho / rr =" | \
	cdfmath "rt rsat - rcx =" | \
	cdfmath "rcx 0 > rcx 0 ? rc =" | \
	cdfextr time wtgrho wtgent wtgsatent wtgdryent wtgrt \
		wtgsrcent wtgsrcrt mflux rho vx vy vz ent \
		satent rt rsat rc rr surfent surfrt rain sst surft > $outfile
fi
