#!/bin/sh
#
# goprofcomp.sh -- Plot time = 0 ent/satent profiles with profiles
# from a specified time interval.
#
if test $# != 3
then
    echo "Usage: goprofcomp.sh test time1 time2"
else
    test=$1
    time1=$2
    time2=$3
    infile=prof.$test
    plotfile=plot.$test
    tmp0=tmp0$$
    tmp1=tmp1$$
    tmp2=tmp2$$

    cdfderiv rain2 raincum time < $infile | \
	cdfmath 'rain2 2.5e6 * meanrain =' | \
	cdfextr meanrain | \
	cdfrdim time $time1 $time2 > $tmp2
    rain=`cdfsprt.sh meanrain < $tmp2`

    cdfrdim time 0 < $infile | \
	cdfwindow z 0 16000 > $tmp0
    cdfrdim time $time1 $time2 < $infile | \
	cdfwindow z 0 16000 > $tmp1
    cdfmerge $tmp0 0 $tmp1 1 | \
	goplot "10,fs/8,10,6,6,fg/180,320,20,0,16000,2000,ax/entropy (J~/K~/kg),lx/height (m),ly/ent0,z0,b,2,p/satent0,z0,b,2,0,initial,190,14000,p/ent1,z1,r,2,p/satent1,z1,r,2,0,final,190,13000,p/Test $test~, final = ${time1} - ${time2} s,tl/8,10,16,6,fg/mass flux (kg~/m^2~/s),lx/,ly/wtguz1,z1,r,2,p/0,0,0,16000,dl/rain = $rain W~/m^2,tl" #$plotfile

#    epstopdf $plotfile.ps
#    rm $plotfile.ps
    

    rm $tmp0 $tmp1 $tmp2
fi
