#!/bin/sh
#
# goentcomp.sh -- Compare entropies computed by different software.
if test $# != 3
then
    echo "Usage: goentcomp.sh tsurf(C) tlapse(C/m) rh"
else
    tsurf=$1
    tlapse=$2
    rh=$3

    psurf=1000
    dp=-20
    np=46
    ptop=100

    R=287
    gee=9.8
    tf=273.15

    lo=150
    hi=350

    cdfnull p 46 1000 -20 | \
	cdfmath 'p pres =' | \
	cdfmath "$R $tlapse * $gee / beta =" | \
	cdfmath "pres $psurf / beta pow $tsurf $tf + * $tf - temp =" | \
	cdfmr pres temp temp satmr | \
	cdfmath "$rh satmr * mr =" | \
	goentropy.sh pres temp mr goent | \
	goentropy2.sh pres temp mr goent2 | \
	cdfentropy -q pres temp mr cdfent satmr | \
	goplot "16,fs/12,10,6,6,fg/moist entropy (J~/K~/kg),lx/pressure (hPa),ly/goent,pres,r,1,0,goent,250,200,p/goent2,pres,n,1,0,goent2,250,400,p/cdfent,pres,b,1,0,cdfent,250,300,p/entropy intercomparison,tl"
fi
