#!/bin/sh
#
# goentropy.sh -- Compute the moist entropy used in goconv (and conv).
#
if test $# != 4
then
    echo "Usage: goentropy.sh pres(hPa) temp(C) mr(g/kg) ent(J/K/kg)"
else
    pres=$1
    temp=$2
    mr=$3
    ent=$4

    TF=273.15
    TR=$TF
    CP=1005
    LV=2.50e6
    LF=3.33e5
    PR=1000
    R=287

    # the entropy formula is
    # ent = CP*log(ktemp/TR) - R*log(pres/PR) + ((LV + LF)/TR)*mr
    cdfmath "$temp $TF + $TR / log $CP * $pres $PR / log $R * - dent =" | \
	cdfmath "$LV $LF + $TR / alpha =" | \
	cdfmath "dent alpha $mr 1000 / * + $ent ="
fi
