#!/bin/sh
# gomean.sh -- calculate a time mean from prof file
#
if test $# != 3
then
    echo "Usage: gomean testname time1 time2"
else
    testname=$1
    time1=$2
    time2=$3
    profname=prof.$testname
    meanname=mean.$testname

    cdfderiv wtgsrcrt2 wtgsrcrtcum time < $profname | \
	cdfderiv wtgsrcent2 wtgsrcentcum time | \
	cdfderiv surfrt2 surfrtcum time | \
	cdfderiv surfent2 surfentcum time | \
	cdfderiv rain2 raincum time | \
	cdfrdim time $time1 $time2 | \
	cdfextr -s z | \
	cdfextr -p z0 dz > $meanname    
fi
