#!/bin/sh
#
# Separate positive and negative values of uz + uzwtg in goconv simulation.
#

if test $# != 1
then
    echo "Usage: gomsplit.sh caseno"
else
    caseno=$1
    inlist=`ls $caseno.*`
    outfile=gomlist.${caseno}.cdf
    prefix=xxx$$
    tmpp=tmpp$$
    tmpn=tmpn$$
    tmprain=tmprain$$
    
    xmax=100000
    smax=1001
    tmin=0
    tmax=1e6
    rrmin=5e-4

    for infile in $inlist
    do 
	echo $infile
	
	cdfmath "uz wtguz + uzt =" < $infile | \
	    cdfmath "uzt 0 > uztp =" | \
	    cdfmath "drt drsat - 0 > sat =" | \
	    cdfmath "sat 0 * 1 + uztp * uztps =" | \
	    cdfrdim x 0 $xmax | \
	    cdfrdim y 0 $xmax | \
	    cdfextr -s z | \
	    cdfextr uztp uztps wtguz time > $tmpp
	
	cdfmath "uz wtguz + uzt =" < $infile | \
	    cdfmath "uzt 0 < uztn =" | \
	    cdfmath "drt drsat - 0 > sat =" | \
	    cdfmath "sat 0 * 1 + uztn * uztns =" | \
	    cdfrdim x 0 $xmax | \
	    cdfrdim y 0 $xmax | \
	    cdfextr -s z | \
	    cdfextr uztn uztns > $tmpn
	
	cdfmath "uz wtguz + uzt =" < $infile | \
	    cdfmath "drr rho / rr =" | \
	    cdfmath "rr ${rrmin} - 0 > rain =" | \
	    cdfmath "rain 0 * 1 + uzt * uztrain =" | \
	    cdfrdim x 0 $xmax | \
	    cdfrdim y 0 $xmax | \
	    cdfextr -s z | \
	    cdfextr uztrain > $tmprain
	
	cdfmerge $tmpp '' $tmpn '' $tmprain '' | \
	    cdfextr -s z > $prefix.$infile

    done

    cdfcatf ${prefix}.* | \
	gocat time $tmin $tmax $smax > $outfile

    rm $tmpp $tmpn $tmprain ${prefix}.*
fi
