#!/bin/sh
#
# gopack.sh -- Pack up a subset of 3D output.
#
if test $# != 3
then
    echo "Usage: gopack.sh time1 time2 mycase"
else
    time1=$1
    time2=$2
    mycase=$3
    dir=out.$mycase

    cd $dir
    flist=`ls *`
    for infile in $flist
    do
	time=`cdfsprt.sh time < $infile | cut -f 1 -d .`
	echo $time $time1 $time2
	if test $time -ge $time1 -a $time -le $time2
	then
	    number=`echo $infile | cut -f 2 -d .`
	    outfile=trim.$number
	    cdfmath 'dent rho / ent =' < $infile | \
		cdfmath 'dsatent rho / satent =' | \
		cdfmath 'drt rho / rt =' | \
		cdfmath 'drr rho / rr =' | \
		cdfmath 'ux rho / vx =' | \
		cdfmath 'uy rho / vy =' | \
		cdfmath 'uz rho / vz =' | \
		cdfextr time wtguz rain rho temp ent \
			satent vx vy vz rt rr sst > $outfile
	    echo $infile $outfile
	fi
    done
    cdfcatf trim.* > ../pack.$mycase
    rm trim.*
fi
