#!/bin/sh
#
# goprof.sh -- Compute a profile file from goconv output
#
if test $# != 1
then
    echo "Usage: goprof.sh casename"
else
    casename=$1

    cdfcatf $casename.* | \
	cdfmath 'uz wtguz + uzradar =' | \
	cdfmath 'drr 0.00001 > 1 0 ? uzradar * uzradar =' | \
	cdfmath 'dent rho / ent =' | \
	cdfmean x .x ent uz | cdfmean y .y ent.x uz.x | \
	cdfmath 'ent ent.x.y - entp =' | \
	cdfmath 'uz uz.x.y - uzp =' | \
	cdfmath 'uzp entp * fentbulk =' | \
	cdfderiv dentdz ent z | \
	cdfmath 'keddy dentdz * -1 * fenteddy =' | \
	cdfrdim x 0 20000000 | cdfrdim y 0 20000000 | \
	cdfmath 'ux rho / vx =' | \
	cdfmath 'uy rho / vy =' | \
	cdfmath 'ddryent rho / dryent =' | \
	cdfmath 'dsatent rho / satent =' | \
	cdfmath 'drt rho / rt =' | \
	cdfmath 'drr rho / rr =' | \
	cdfmath 'drsat rho / rsat =' | \
	gocat time 0 10000000 2501 > prof.$casename
fi
