#!/bin/sh
#
# gosonde.sh -- Make an initialization file from a particular dropsonde.
# Depends on gootrec_snd.sh.
#
if test $# != 10
then
    echo "Usage: gosonde.sh dz nz nnn1 nnn2 vxs vys obtop sst inprefix label"
else
    dz=$1
    shift
    nz=$1
    shift
    nnn1=$1
    shift
    nnn2=$1
    shift
    vxsys=$1
    shift
    vysys=$1
    shift
    obtop=$1
    shift
    sst=$1
    shift
    prefix=$1
    shift
    label=$1

    infile=${prefix}.cdf
    
    suffix=${prefix}${label}
    outfile=box_${suffix}.cdf
    initfile=init_${suffix}.cdf
    echo $nnn1 $nnn2 $infile $outfile $initfile

    cdfuncat NNN < $infile | \
	cdftsel NNN $nnn1 $nnn2 | \
	cdfcat NNN 0 100 101 | \
	cdfrdim NNN $nnn1 $nnn2 | \
	cdfparams nnn1 $nnn1 | \
	cdfparams nnn2 $nnn2 | \
	cdfextr u_wind v_wind pres temp rh lon.m lat.m ztime | \
	cdfextr -s z | \
	cdfmath "u_wind u =" | cdfmath "v_wind v =" | \
	cdfextr -r u_wind v_wind | \
	avapsrh2mr.sh pres temp rh mr satmr | \
	cdfnewent pres temp mr ent satent > $outfile

    gootrec_snd.sh $dz $nz $sst $vxsys $vysys $obtop < $outfile > $initfile
fi
