#!/bin/sh
#
# goupdown.sh -- Average updrafts and downdrafts
#
if test $# != 1
then
    echo "goupdown.sh 3dfile"
else
    infile=$1
    pthresh=0
    nthresh=0
    dx=`cdflook < $infile | grep "^dx" | cut -d ' ' -f 2`
    dy=`cdflook < $infile | grep "^dy" | cut -d ' ' -f 2`
    echo dx, dy: $dx $dy

    cdfmath 'uz wtguz + uztot =' < $infile | \
	cdfmath 'drt drsat - 0 > drc =' | \
	cdfmath 'drc drc 0 ? drc =' | \
	cdfmath 'drc drr + 0 * uztot + uztot =' | \
	cdfextr time wtguz uztot > tmp

    cdfthresh "uztot > $pthresh" < tmp | \
	cdfmath '1 area =' | \
	cdfrdim x $dx 200000 | \
	cdfrdim y $dy 200000 | \
	cdfmath 'uztot uzup =' | \
	cdfextr -s z | \
	cdfextr uzup > tmpup

    cdfthresh "uztot < $nthresh" < tmp | \
	cdfrdim x 500 40000 | \
	cdfrdim y 500 40000 | \
	cdfmath 'uztot uzdn =' | \
	cdfextr -s z | \
	cdfextr uzdn > tmpdn

    cdfmerge tmpup '' tmpdn '' tmp '' | \
	cdfextr time wtguz uzup uzdn | \
	cdfmath 'uzup uzdn + uztot =' | \
	cdfextr -s z | \
	cdfextr -p z0 dz | \
	goplot -1.5,1.5,0.5,0,20000,2000,ax/uzup,z,r,2,p/uzdn,z,b,2,p/uztot,z,n,2,p/wtguz,z,m,2,p/0,0,0,20000,dl

    rm tmpup tmpdn tmp
fi
