// test various routines in the thermo package
package main

import (
	"fmt"
	"thermo"
)

func main() {
	ice := 1
	thermo.Init(ice)
	fmt.Println("initialization done")
	for rho := 0.2; rho <= 1.2; rho = rho + 0.1 {
		for rx := 0.0; rx <= 0.02; rx = rx + 0.001 {
			for ent := 25.0; ent <= 300.0; ent = ent + 25.0 {
				templ := thermo.Temp2l(rho,rx,ent)
				tempi := thermo.Temp2i(rho,rx,ent)
				fmt.Println("\nrho,rx,rsatl,rsati,ent:",
					rho,rx,thermo.Rsat(templ,rho),
					thermo.Rsat(tempi,rho),ent)
				fmt.Println("templ,tempi:",templ,tempi)
				ent2l := thermo.Entl(templ,rho,rx)
				ent2i := thermo.Enti(tempi,rho,rx)
				fmt.Println("ent2l,ent2i:",ent2l,ent2i)
			}
		}
	}
}
